Name:           ocaml-ao
Version:        0.2.0
Release:        %mkrel 21
Summary:        OCaml bindings for libao
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  pkgconfig(ao)
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib


%description
OCaml bindings for the cross platform audio output library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libao-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/ao
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/ao
%{_libdir}/ocaml/ao/META
%{_libdir}/ocaml/ao/*.cma
%{_libdir}/ocaml/ao/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/ao/*.a
%{_libdir}/ocaml/ao/*.cmxa
%{_libdir}/ocaml/ao/*.cmx
%{_libdir}/ocaml/ao/*.mli



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.2.0-21.mga8
+ Revision: 1670427
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.2.0-20.mga8
+ Revision: 1551128
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.2.0-19.mga8
+ Revision: 1544533
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.2.0-18.mga8
+ Revision: 1483161
- rebuild for ocaml-4.10

* Sun Jan 26 2020 tv <tv> 0.2.0-17.mga8
+ Revision: 1483003
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.2.0-16.mga7
+ Revision: 1324024
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.2.0-15.mga7
+ Revision: 1323720
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.2.0-14.mga7
+ Revision: 1299831
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.2.0-13.mga7
+ Revision: 1179464
- rebuild for new ocaml

* Sun Sep 25 2016 pterjan <pterjan> 0.2.0-12.mga6
+ Revision: 1056225
- Rebuild for fix in ocaml

* Mon Feb 01 2016 pterjan <pterjan> 0.2.0-11.mga6
+ Revision: 930760
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-10.mga5
+ Revision: 740256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-9.mga5
+ Revision: 682977
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-8.mga4
+ Revision: 508408
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-7.mga3
+ Revision: 361122
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.0-6.mga3
+ Revision: 301633
- new rpm group for ocaml
- new rpm group for ocaml
+ malo <malo>
- restore Requires libao-devel
- remove Requires to libao-devel

* Thu Nov 17 2011 malo <malo> 0.2.0-3.mga2
+ Revision: 168361
- missing Requires libao-devel
- spec clean-up

* Sun Oct 02 2011 shlomif <shlomif> 0.2.0-2.mga2
+ Revision: 151036
- Rebuild for the new ocaml - thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 0.2.0-1.mga2
+ Revision: 147777
- imported package ocaml-ao

